Name:           perl-Net-SNMP
Version:        4.1.0
Release:        1
License:        GPL or Artistic

%define realname	Net-SNMP
Group:          Development/Perl
Summary:	Object oriented interface to SNMP for perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{realname}-%{version}.tar.bz2
Url:		http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-Crypt-DES => 2.03 perl-Digest-HMAC => 1.0
BuildRequires:	perl-Digest-SHA1 => 1.02
Requires:       perl >= 5.005
Requires:	perl-Crypt-DES => 2.03
Requires:	perl-Digest-HMAC => 1.0
Requires:	perl-Digest-SHA1 => 1.02
BuildArch:      noarch

%description
The Net::SNMP module implements an object oriented interface to the Simple
Network Management Protocol.  Perl applications can use the module to retrieve
or update information on a remote host using the SNMP protocol.  The module
supports SNMP version-1, SNMP version-2c (Community-Based SNMPv2), and SNMP
version-3.
The Net::SNMP module assumes that the user has a basic understanding of the
Simple Network Management Protocol and related network management concepts.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
make
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
# XXX hack
perl -pi \
  -e 's|INSTALLVENDORLIB = %{_prefix}|INSTALLVENDORLIB = \$(PREFIX)|g;' \
  -e 's|INSTALLVENDORARCH = %{_prefix}|INSTALLVENDORARCH = \$(PREFIX)|g;' \
  -e 's|INSTALLSCRIPT = %{_prefix}|INSTALLSCRIPT = \$(PREFIX)|g;' \
  -e 's|INSTALLMAN1DIR = %{_prefix}|INSTALLMAN1DIR = \$(PREFIX)|g;' \
  -e 's|INSTALLSITEMAN1DIR = %{_prefix}|INSTALLSITEMAN1DIR = \$(PREFIX)|g;' \
  -e 's|INSTALLVENDORMAN1DIR = %{_prefix}|INSTALLVENDORMAN1DIR = \$(PREFIX)|g;' \
  -e 's|INSTALLMAN3DIR = %{_prefix}|INSTALLMAN3DIR = \$(PREFIX)|g;' \
  -e 's|INSTALLSITEMAN3DIR = %{_prefix}|INSTALLSITEMAN3DIR = \$(PREFIX)|g;' \
  -e 's|INSTALLVENDORMAN3DIR = %{_prefix}|INSTALLVENDORMAN3DIR = \$(PREFIX)|g;' \
  Makefile
make PREFIX=%{buildroot}%{_prefix} install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_bindir}/snmpkey
%{_libdir}/perl*/vendor_perl/*/Net/SNMP
%{_libdir}/perl*/vendor_perl/*/Net/SNMP.pm
%{_mandir}/man*/*

%changelog
* Thu Oct  2 2003 Peter Hanecak <hanecak@megaloman.sk> 4.1.0-1
- adapted to Doors Linux

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 4.1.0-1mdk
- 4.1.0.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0.3-2mdk
- rebuild for new auto{prov,req}

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 4.0.3-1mdk
- new version

* Mon Aug 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.0.2-1mdk
- new version
- rebuilt against new perl

* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 4.0.1-2mdk
- First MandrakeSoft Package

